summaryrefslogtreecommitdiffstats
path: root/slackware64/e/maketag
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/e/maketag')
-rw-r--r--slackware64/e/maketag36
1 files changed, 36 insertions, 0 deletions
diff --git a/slackware64/e/maketag b/slackware64/e/maketag
new file mode 100644
index 000000000..009f9b39b
--- /dev/null
+++ b/slackware64/e/maketag
@@ -0,0 +1,36 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES E (GNU EMACS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series E. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 16 72 6 \
+"emacs" "The GNU Emacs 22.3 system" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+emacs \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+emacs \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs